using System;
using System.Drawing;

using MindFusion.Diagramming;


public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
		if (!IsPostBack)
		{
			Diagram diagram = diagramView.Diagram;
			diagram.Bounds = new RectangleF(0, 0, 400, 800);
			diagram.BackBrush = new MindFusion.Drawing.SolidBrush(Color.White);

			// create some nodes
			int i = 0;
			foreach (Shape shape in Shape.Shapes)
			{
				if (shape.IsArrowhead)
					continue;

				ShapeNode node = diagram.Factory.CreateShapeNode(
					(i % 6) * 40, (i / 6) * 40, 20, 20, shape);

				if (i > 0)
				{
					// and some links
					DiagramLink link = diagram.Factory.CreateDiagramLink(diagram.Nodes[i - 1], node);
					if (i % 6 == 0)
					{
						RectangleF nodeRect = diagram.Nodes[i - 1].Bounds;
						link.Shape = LinkShape.Cascading;
						link.ControlPoints[0] = new PointF(
						  nodeRect.X + nodeRect.Width / 2, nodeRect.Bottom);
						link.Route();
					}
				}

				i++;
			}
		}
    }

	protected void btnSubmit_Click(object sender, EventArgs e)
	{
		foreach (ShapeNode node in diagramView.Diagram.Nodes)
		{
			node.Brush = new MindFusion.Drawing.LinearGradientBrush(
			  Color.AliceBlue, Color.LightBlue, 33);
		}
	}

	protected void diagramView_NodeClicked(object sender, NodeEventArgs e)
	{
		if (e.Node.Effects.Count == 0)
		{
			e.Node.Brush = new MindFusion.Drawing.SolidBrush(Color.OrangeRed);
			e.Node.Effects.Add(new GlassEffect());
		}
	}
}